<a id="revoke-{{ sale.id }}" data-toggle="modal" data-target="#revokemodal-{{ sale.id }}" href="" style="text-decoration: none">
                            <i class="fa fa-undo"></i>
                        </a>

                        <!-- Modal -->
                        <div class="modal fade" id="revokemodal-{{ sale.id }}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                          <div class="modal-dialog" role="document">
                            <div class="modal-content">
                              <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Возврат абонемента</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                  <span aria-hidden="true">&times;</span>
                                </button>
                              </div>
                              <div class="modal-body">
                                Точно хотите сделать возврат абонементу {{ sale.abonement }} ??
                              </div>
                              <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Нет</button>
                                <button type="button" id="revokeBtn-{{ sale.id }}" class="btn btn-primary">Да</button>
                              </div>
                            </div>
                          </div>
                        </div>

                        <script>
                            $(document).ready(function () {
                                function revokeSale(abonId) {
                                return new Promise((resolve, reject) => {
                                    $.ajax({
                                        url: `${window.location.protocol}//${window.location.hostname}:${window.location.port}/sale/${abonId}/revoke`,
                                        type: 'post',
                                        data: {
                                            csrfmiddlewaretoken: '{{ csrf_token }}'
                                        },
                                        success: function (data) {
                                            resolve(data)
                                        },
                                        error: function (error) {
                                            console.log(error)
                                            reject(error)
                                        }
                                    })
                                })
                            }



                                $('#revokeBtn-{{ sale.id }}').click(function () {
                                    revokeSale("{{ sale.id }}").then(data => {
                                        $('#revokemodal-{{ sale.id }}').modal('toggle')
                                        Swal.fire({
                                            position: 'top',
                                            icon: 'success',
                                            title: 'Возврат осуществлен успешно',
                                            showConfirmButton: true,

                                        }).then((result => {
                                            window.location.reload()
                                        }))
                                    })
                                })
                            })

                        </script>